QGIS Application - Bug report #19805

QGIS 3: Link to the user manual not working when running Danish version of QGIS - might be the
same for other languages where the user manual is not translated

2018-09-10 11:56 AM - Mie Winstrup

Status: Closed

Priority: Normal

Assignee: QGIS Translation Team

Category: Translations and international

Affected QGIS version:3.3(master) Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 27630
Description

When running QGIS 3.2 (and QGIS 3.3) with Danish translation, the link to the user manual is to a danish version of the user manual - but
this does not exists.

This might be the same for other languages where the user manual is not translated.

As a consequence, when the user wants help - the browser opens with a url pointing to a danish version of the user manual (
https://docs.qgis.org/testing/da/docs/user _manual/index.html) which does not exists.

Resolution:
If a translated version of the user manual does not exists: Change the url from
https://docs.qgis.org/testing/da/docs/user _manual/index.html to https://docs.qgis.org/testing/en/docs/user _manual/index.html

Places where this error occur:
The Help-menu:
QGiIShelp-danish.png

The help-button in the various analysis tools such as buffer-tool:
QGISdanish_helpinanalysis.png

Tested on QGIS 3.2.2 and QGIS 3.3.0-64

History

#1 - 2018-09-10 11:57 AM - Mie Winstrup

This issue was automatically assigned to the QGIS Translation Team. I'm not sure this is the correct assignee.

#2 - 2018-09-10 12:21 PM - Harrissou Santanna

Afaict, works fine when using French language: the redirection to English is done. Richard might know better.

#3 - 2018-09-10 10:35 PM - Richard Duivenvoorde
- Resolution set to fixed/implemented

Yes, only LTR is translated, so requests going to master for translations should just go to english.
We do this by redirecting apache. I'll have to look into the configuration.

Ok, fixed for da too..

#4 - 2018-09-10 10:35 PM - Richard Duivenvoorde

- Status changed from Open to Closed

#5 - 2018-09-12 12:39 PM - Mie Winstrup

| have checked with the new nightly build and it works perfect.

Thanks for fixing this!
